<template />

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/layers/#background

import {
  propsLayer,
  propsLayerColor,
  propsLayerPattern,
  defineTransitions
} from './shared/props.js'

export const opts = Object.assign({},
  propsLayer,
  propsLayerColor,
  propsLayerPattern
)
const options = defineTransitions(opts)
</script>

<script setup>
import { setupLayer } from './shared/setup.js'

const type = 'background'
const props = defineProps(options)
const emit = defineEmits(['mounted'])

setupLayer(type, options, props, emit)
</script>
